/*************************************************************************
**  File Name    : delay.h
**  Version      : 1.0
**  Description  : 1us delay
**  Author(s)    : Curt Lagerstam
**  Target(s)    : PIC32MX360512L
**  Compiler     : XC32
**  IDE          : Microchip MPLAB X IDE v9
**  Programmer   : PICKit3
**  Revisions    : Sep 26 2013
*************************************************************************/
#include <GenericTypeDefs.h>
#define SYS_FREQ    (80000000L)

/* Delay_us */
void delay_us( delay )
{
    int us_ticks=(SYS_FREQ/1000000)/2;
    WriteCoreTimer( 0 );
    while( ReadCoreTimer() < delay*us_ticks );
}
/* END Delay_us */


